summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/freeciv/freeciv.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/games/freeciv/freeciv.SlackBuild b/games/freeciv/freeciv.SlackBuild
index 3d9f14b481..310de4f328 100644
--- a/games/freeciv/freeciv.SlackBuild
+++ b/games/freeciv/freeciv.SlackBuild
@@ -57,10 +57,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;